PublicApiUpdateDeal
curl --request PATCH \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/deals/{dealId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": "<string>",
"companyId": "<string>",
"value": 1,
"currency": "<string>",
"expectedClose": "2023-11-07T05:31:56Z",
"ownerId": "<string>",
"labels": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<string>',
companyId: '<string>',
value: 1,
currency: '<string>',
expectedClose: '2023-11-07T05:31:56Z',
ownerId: '<string>',
labels: ['<string>']
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/deals/{dealId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Deals
PublicApiUpdateDeal
PATCH /api/v1/organizations//workspaces//deals/
PATCH
/
api
/
v1
/
organizations
/
{orgId}
/
workspaces
/
{wsId}
/
deals
/
{dealId}
PublicApiUpdateDeal
curl --request PATCH \
--url https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/deals/{dealId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactId": "<string>",
"companyId": "<string>",
"value": 1,
"currency": "<string>",
"expectedClose": "2023-11-07T05:31:56Z",
"ownerId": "<string>",
"labels": [
"<string>"
]
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<string>',
companyId: '<string>',
value: 1,
currency: '<string>',
expectedClose: '2023-11-07T05:31:56Z',
ownerId: '<string>',
labels: ['<string>']
})
};
fetch('https://sandbox.api.app.firstsales.io/api/v1/organizations/{orgId}/workspaces/{wsId}/deals/{dealId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"details": {}
}
}Use this endpoint through the Developer API or the matching
firstsales CLI command when available. Responses use the stable FirstSales public error envelope.Authorizations
Legacy compatibility bearer scheme for generated consumers.
Body
application/json
Pattern:
^[0-9a-fA-F]{24}$Pattern:
^[0-9a-fA-F]{24}$Required range:
x >= 0Required string length:
1 - 10Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Minimum string length:
1Maximum array length:
20Required string length:
1 - 50Response
Successful response
The response is of type object.